LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional

LOCAL_MODULE := vpnclient

LOCAL_C_INCLUDES := \
	$(LOCAL_PATH) \
	$(LOCAL_PATH)/src \
	$(LOCAL_PATH)/src/Cedar \
	$(LOCAL_PATH)/src/Mayaqua \
	$(LOCAL_PATH)/android \
	external/openssl/include \
	$(LOCAL_PATH)/../libiconv-1.15/include

LOCAL_SHARED_LIBRARIES := libssl libcrypto libnetutils libcutils libutils libiconv

LOCAL_LDLIBS := -lm -ldl -lz

LOCAL_CFLAGS := \
	-DNDEBUG \
	-DVPN_SPEED \
	-DUNIX \
	-DUNIX_LINUX \
	-D_REENTRANT \
	-DREENTRANT \
	-D_THREAD_SAFE \
	-D_THREADSAFE \
	-DTHREAD_SAFE \
	-DTHREADSAFE \
	-D_FILE_OFFSET_BITS=64 \
	-O2 \
	-fsigned-char \
	-D"add_history(x)" \
	-D"readline(x)=\"\"" \
	-Wno-return-type

LOCAL_SRC_FILES := \
	src/vpnclient/vpncsvc.c \
	src/Mayaqua/Cfg.c \
	src/Mayaqua/Encrypt.c \
	src/Mayaqua/FileIO.c \
	src/Mayaqua/Internat.c \
	src/Mayaqua/Kernel.c \
	src/Mayaqua/Mayaqua.c \
	src/Mayaqua/Memory.c \
	src/Mayaqua/Microsoft.c \
	src/Mayaqua/Network.c \
	src/Mayaqua/Object.c \
	src/Mayaqua/OS.c \
	src/Mayaqua/Pack.c \
	src/Mayaqua/Secure.c \
	src/Mayaqua/Str.c \
	src/Mayaqua/Table.c \
	src/Mayaqua/TcpIp.c \
	src/Mayaqua/Tick64.c \
	src/Mayaqua/Tracking.c \
	src/Mayaqua/Unix.c \
	src/Mayaqua/Win32.c \
	src/Cedar/Account.c \
	src/Cedar/Admin.c \
	src/Cedar/AzureClient.c \
	src/Cedar/AzureServer.c \
	src/Cedar/Bridge.c \
	src/Cedar/BridgeUnix.c \
	src/Cedar/BridgeWin32.c \
	src/Cedar/Cedar.c \
	src/Cedar/CedarPch.c \
	src/Cedar/Client.c \
	src/Cedar/CM.c \
	src/Cedar/Command.c \
	src/Cedar/Connection.c \
	src/Cedar/Console.c \
	src/Cedar/Database.c \
	src/Cedar/DDNS.c \
	src/Cedar/EM.c \
	src/Cedar/EtherLog.c \
	src/Cedar/Hub.c \
	src/Cedar/Interop_OpenVPN.c \
	src/Cedar/Interop_SSTP.c \
	src/Cedar/IPsec.c \
	src/Cedar/IPsec_EtherIP.c \
	src/Cedar/IPsec_IKE.c \
	src/Cedar/IPsec_IkePacket.c \
	src/Cedar/IPsec_IPC.c \
	src/Cedar/IPsec_L2TP.c \
	src/Cedar/IPsec_PPP.c \
	src/Cedar/IPsec_Win7.c \
	src/Cedar/Layer3.c \
	src/Cedar/Link.c \
	src/Cedar/Listener.c \
	src/Cedar/Logging.c \
	src/Cedar/Nat.c \
	src/Cedar/NativeStack.c \
	src/Cedar/NM.c \
	src/Cedar/NullLan.c \
	src/Cedar/Protocol.c \
	src/Cedar/Radius.c \
	src/Cedar/Remote.c \
	src/Cedar/Sam.c \
	src/Cedar/SecureInfo.c \
	src/Cedar/SecureNAT.c \
	src/Cedar/SeLowUser.c \
	src/Cedar/Server.c \
	src/Cedar/Session.c \
	src/Cedar/SM.c \
	src/Cedar/SW.c \
	src/Cedar/UdpAccel.c \
	src/Cedar/UT.c \
	src/Cedar/VG.c \
	src/Cedar/Virtual.c \
	src/Cedar/VLan.c \
	src/Cedar/VLanUnix.c \
	src/Cedar/VLanWin32.c \
	src/Cedar/WaterMark.c \
	src/Cedar/WebUI.c \
	src/Cedar/WinUi.c \
	src/Cedar/Wpc.c \
	android/ifaddrs.c

include $(BUILD_EXECUTABLE)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE := custom.ini
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_ETC)/vpn
LOCAL_SRC_FILES := prebuild/$(LOCAL_MODULE)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE := hamcore.se2
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_ETC)/vpn
LOCAL_SRC_FILES := prebuild/$(LOCAL_MODULE)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE := vpn_client.config
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_ETC)/vpn
LOCAL_SRC_FILES := prebuild/$(LOCAL_MODULE)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE := soft_ether_start
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_ETC)
LOCAL_SRC_FILES := prebuild/$(LOCAL_MODULE)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE := soft_ether_stop
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_ETC)
LOCAL_SRC_FILES := prebuild/$(LOCAL_MODULE)
include $(BUILD_PREBUILT)
