#!/bin/bash

export ANDROID_HOME=/home/ebook
export TOOL=arm-linux-androideabi
export TOOLCHAIN=$ANDROID_HOME/arm
export CROSS_SYSROOT=$TOOLCHAIN/sysroot
export PATH=$TOOLCHAIN/bin:$PATH
export CC=$TOOLCHAIN/bin/${TOOL}-gcc
export CXX=$TOOLCHAIN/bin/${TOOL}-g++
export LINK=${CXX}
export LD=$TOOLCHAIN/bin/${TOOL}-ld
export AR=$TOOLCHAIN/bin/${TOOL}-ar
export RANLIB=$TOOLCHAIN/bin/${TOOL}-ranlib
export STRIP=$TOOLCHAIN/bin/${TOOL}-strip
export ARCH_FLAGS="--sysroot=${CROSS_SYSROOT}"
export ARCH_LINK="-Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now -Wl,--warn-shared-textrel -Wl,--fatal-warnings -Wl,--gc-sections -rdynamic -pie"
export COMMON_GLOBAL_CFLAGS="-DANDROID -fmessage-length=0 -W -Wall -Wno-unused -Winit-self -Wpointer-arith"
export TARGET_GLOBAL_CFLAGS="\
-O2 \
-Wa,--noexecstack \
-Werror=format-security \
-D_FORTIFY_SOURCE=2 \
-Wstrict-aliasing=2 \
-ffunction-sections \
-finline-functions \
-finline-limit=300 \
-fno-short-enums \
-fstrict-aliasing \
-funswitch-loops \
-funwind-tables \
-fstack-protector \
-no-canonical-prefixes \
-fno-canonical-system-headers \
"

export CFLAGS="${COMMON_GLOBAL_CFLAGS} ${TARGET_GLOBAL_CFLAGS} ${ARCH_FLAGS}"
export CXXFLAGS="${CFLAGS} -frtti -fexceptions"
export LDFLAGS="${ARCH_LINK}"

